#!/bin/bash

#updates by WIPAT 2555-02-23
#updates by WIBOON 2562-10-30

if [ -z "$(id -nG|grep -w "root")" ] ; then
  echo "need root, or try: sudo sh $0"
  exit
fi

if [ -z "$1" ]; then
  sudo apt-get update
  sudo apt-get -y install apache2 
fi

if [ "$1" = "-n" ]; then
codename=$(lsb_release -c | awk '{print $2}')
case ${codename} in
trusty) 
  #codename trusty (14.04)
  sudo apt-get -y install php5
  ;;
xenial)
  #codename xenial (16.04)
  sudo apt-get -y install php7.0 
  ;;
bionic)
  #codename bionic (18.04)
  sudo apt-get -y install php7.2 
  ;;
*)
  #codename others
  sudo apt-get -y install php 
esac
fi

MY_DIR=$(pwd)
SRC_DIR="${MY_DIR}/trunk/"
DST_DIR="/"

find ${SRC_DIR} -type d| while read LINE ; do
  TARGET=$(echo ${LINE}|sed "s;${SRC_DIR};${DST_DIR};")
  if [ ! -d "${TARGET}" ] ; then
    mkdir ${TARGET}
  fi
done
find ${SRC_DIR} -type f| while read LINE ; do
  TARGET=$(echo ${LINE}|sed "s;${SRC_DIR};${DST_DIR};")
  if [ -e "${TARGET}" ] ; then
    if [ -z "$(diff -q ${LINE} ${TARGET})" ] ; then
      continue
    fi 
    INFO=$(ls -clQ --time-style=long-iso ${TARGET})
    CTIME=$(echo ${INFO}|awk '{ print $6"-"$7 }')
    NAME=$(echo "${TARGET}_${CTIME}")
    cp -v ${TARGET} ${NAME}
  fi
  cp -v ${LINE} ${TARGET}
done
sudo cp -f ${MY_DIR}/version.txt /var/www/ticker
sudo chgrp -Rv www-data /var/www/ticker
sudo chmod -Rv g+w /var/www/ticker 
